UnsupportedWireFormatException (Mule ESB 2.2.1 API)
Keywords: org.mule.module.client.remoting.UnsupportedWireFormatException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.client.remoting
Class UnsupportedWireFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.module.client.remoting.RemoteDispatcherException
                      org.mule.module.client.remoting.UnsupportedWireFormatException

All Implemented Interfaces:
  Serializable

    public class UnsupportedWireFormatException

extends RemoteDispatcherException

Exception is thrown when the server is using a wire format that the client does not support

See Also:
  Serialized Form

Constructor Summary
`UnsupportedWireFormatException(String wireFormat, Exception e)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedWireFormatException

    public UnsupportedWireFormatException(String wireFormat,
                                          Exception e)

Parameters:
  `message` - the exception message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.